Groovy 1.7.10

## org.codehaus.groovy.runtime.metaclass
[Java] Class MetaMethodIndex.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

    public static class MetaMethodIndex.Entry

Field Summary
`CacheEntry` | `cachedMethod`
`CacheEntry` | `cachedMethodForSuper`
`CacheEntry` | `cachedStaticMethod`
`Class` | `cls`
`int` | `hash`
`Object` | `methods`
`Object` | `methodsForSuper`
`String` | `name`
`Entry` | `nextClassEntry`
`Entry` | `nextHashEntry`
`Object` | `staticMethods`

Method Summary
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### cachedMethod

    public CacheEntry cachedMethod

### cachedMethodForSuper

    public CacheEntry cachedMethodForSuper

### cachedStaticMethod

    public CacheEntry cachedStaticMethod

### cls

    public Class cls

### hash

    public int hash

### methods

    public Object methods

### methodsForSuper

    public Object methodsForSuper

### name

    public String name

### nextClassEntry

    public Entry nextClassEntry

### nextHashEntry

    public Entry nextHashEntry

### staticMethods

    public Object staticMethods

Method Detail

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.